Bug 743429 - can't build/install anaconda on ARM
can't build/install anaconda on ARM
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-04 17:39 EDT by Daniel Drake
Modified: 2013-05-12 18:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 18:27:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
don't try to install a font on ARM (1.06 KB, patch)
2011-10-04 17:44 EDT, Daniel Drake
no flags Details | Diff
remove screenfont stuff (46.60 KB, patch)
2011-10-05 05:08 EDT, Daniel Drake
no flags Details | Diff

  None (edit)
Description Daniel Drake 2011-10-04 17:39:16 EDT
We're trying to build F15 for ARM and we're facing a problem with anaconda: it fails to build because it can't find an ARM font in data/fonts.

Could ARM be excluded from the IS_FONT_ARCH check like in the attached patch?

Another solution is adding a font for ARM. There is one here: http://www.redhat.com/archives/anaconda-devel-list/2011-September/msg00084.html - I'm not sure which is the more appropriate solution.
Comment 1 Daniel Drake 2011-10-04 17:42:13 EDT
Note that we are working with both arm v7 and arm v5. I guess the above screen font would only solve it for v7.
Comment 2 Daniel Drake 2011-10-04 17:44:28 EDT
Created attachment 526331 [details]
don't try to install a font on ARM
Comment 3 Chris Lumens 2011-10-04 21:40:21 EDT
I'd love to just not do this font crud in the first place.
Comment 4 Daniel Drake 2011-10-05 05:08:27 EDT
Created attachment 526447 [details]
remove screenfont stuff

Something like this? (compile tested only)
Comment 5 Chris Lumens 2011-10-31 14:59:50 EDT
Yeah, that's part of it.  There's also some stuff in lorax.  I've pushed a series of patches to completely get rid of our font handling code now and just rely on systemd to do it.  Let me know if there are other issues.
Comment 6 Fedora End Of Life 2013-04-03 16:22:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Adam Williamson 2013-05-12 18:27:02 EDT
http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=141711

Q.E.D.

Note You need to log in before you can comment on or make changes to this bug.